package com.gigalyte.angrymasons.Model;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.math.Vector2;
import com.gigalyte.angrymasons.AngryMasons;

public class Ship extends MoveableEntity {
	
	private float distance = 0;

	public Ship(Vector2 position, float width, float height, float rotation, float SPEED) {
		super(SPEED, rotation, width, height, position);
		
	}
	
	public void update(){
		position.add(velocity.tmp().mul(Gdx.graphics.getDeltaTime() * SPEED));
		// decrease distance until 0
		distance -= Gdx.graphics.getDeltaTime() * SPEED;

		if(distance <= 0){
			distance = 0;
			velocity = Vector2.Zero;
		}
		
		if(velocity.x != 0 || velocity.y != 0){
			rotation = velocity.angle() - 90;
		}
		
		bounds.x = position.x;
		bounds.y = position.y;
	}

	public void setDistance(float distance) {
		this.distance = distance;
	}

}
